Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class TypeCodeFactoryHelper

    java.lang.Object
      |
      +--org.omg.CORBA.TypeCodeFactoryHelper

public class TypeCodeFactoryHelper
extends java.lang.Object

Helper class for : TypeCodeFactory

Author:
  OpenORB Compiler

Constructor Summary
`TypeCodeFactoryHelper()`

Method Summary
`static TypeCodeFactory` | `extract(Any a)` Extract TypeCodeFactory from an any
`static java.lang.String` | `id()` Return the TypeCodeFactory IDL ID
`static void` | `insert(Any a, TypeCodeFactory t)` Insert TypeCodeFactory into an any
`static TypeCodeFactory` | `narrow(Object obj)` Narrow CORBA::Object to TypeCodeFactory
`static TypeCodeFactory` | `read(InputStream istream)` Read TypeCodeFactory from a marshalled stream
`static TypeCode` | `type()` Return the TypeCodeFactory TypeCode
`static TypeCodeFactory` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to TypeCodeFactory
`static void` | `write(OutputStream ostream, TypeCodeFactory value)` Write TypeCodeFactory into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeCodeFactoryHelper

    public TypeCodeFactoryHelper()

Method Detail

### insert

    public static void insert(Any a,
                              TypeCodeFactory t)

  Insert TypeCodeFactory into an any
  Parameters:
    `a` - an any
    `t` - TypeCodeFactory value

### extract

    public static TypeCodeFactory extract(Any a)

  Extract TypeCodeFactory from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted TypeCodeFactory value

### type

    public static TypeCode type()

  Return the TypeCodeFactory TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the TypeCodeFactory IDL ID
  Returns:
    an ID

### read

    public static TypeCodeFactory read(InputStream istream)

  Read TypeCodeFactory from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed TypeCodeFactory value

### write

    public static void write(OutputStream ostream,
                             TypeCodeFactory value)

  Write TypeCodeFactory into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - TypeCodeFactory value

### narrow

    public static TypeCodeFactory narrow(Object obj)

  Narrow CORBA::Object to TypeCodeFactory
  Parameters:
    `obj` - the CORBA Object
  Returns:
    TypeCodeFactory Object

### unchecked_narrow

    public static TypeCodeFactory unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to TypeCodeFactory
  Parameters:
    `obj` - the CORBA Object
  Returns:
    TypeCodeFactory Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD